Quote Operations With Make Methods

The quote operations with make methods resource.

Basehttps://rest.carbon.ms/quoteOperationsWithMakeMethods
GET/quoteOperationsWithMakeMethods

List quote operations with make methodss

Retrieve a paginated list of quote operations with make methodss. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/quoteOperationsWithMakeMethods
curl --request GET \
  --url 'https://rest.carbon.ms/quoteOperationsWithMakeMethods?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "makeMethodId": "xyz789",
    "id": "abc123def456",
    "quoteId": "xyz789",
    "quoteLineId": "xyz789",
    "quoteMakeMethodId": "xyz789",
    "order": 0,
    "description": "string",
    "operationOrder": "string"
  }
]
GET/quoteOperationsWithMakeMethods

Retrieve a quote operations with make methods

Fetch a single quote operations with make methods by filtering on `makeMethodId`.

Query parameters

makeMethodIdstring

Match on the quote operations with make methods's `makeMethodId`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/quoteOperationsWithMakeMethods
curl --request GET \
  --url 'https://rest.carbon.ms/quoteOperationsWithMakeMethods?makeMethodId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "makeMethodId": "xyz789",
  "id": "abc123def456",
  "quoteId": "xyz789",
  "quoteLineId": "xyz789",
  "quoteMakeMethodId": "xyz789",
  "order": 0,
  "description": "string",
  "operationOrder": "string"
}